Choose which programs to quote (portal session only)
PUT
/broker/submissions/{submission_id}/application-workspace/quote-products
const url = 'https://api.hedgespecialty.com/api/v1/broker/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/application-workspace/quote-products';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"program_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"selected_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"expected_revision":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.hedgespecialty.com/api/v1/broker/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/application-workspace/quote-products \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "program_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "selected_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "expected_revision": 1 }'Selects the programs (products) whose applications should be quoted
for this submission. Portal-session only by design, a connected app
or machine token answers 403; use the Hedge portal to change product
selection. expected_revision is the workspace’s selection revision.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”submission_id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
program_ids
required
Array<string>
selected_ids
required
Array<string>
expected_revision
required
integer
Examplegenerated
{ "program_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "selected_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "expected_revision": 1}Responses
Section titled “Responses”The refreshed selection
Requires an unrestricted broker portal session
Submission not found (or not your brokerage’s)
Selection revision is stale